/*
 * Created on 22.02.2005 by jawe
 * $Id$
 */
package net.sourceforge.ppf;

/**
 * Info about an IRC server.
 * @author jawe
 */
public class IrcServer {
    
    public static final int DEFAULT_PORT = 6667;

    private String name;

    private int port;

    private String password;

    /**
     * Default empty constructor.
     */
    public IrcServer() {
    }

    public IrcServer(String name, int port, String password) {
        this.name = name;
        this.port = port;
        this.password = password;
    }

    /**
     * @return Returns the name.
     */
    public String getName() {
        return name;
    }

    /**
     * @param name
     *            The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return Returns the password.
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password
     *            The password to set.
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return Returns the port.
     */
    public int getPort() {
        return port;
    }

    /**
     * @param port
     *            The port to set.
     */
    public void setPort(int port) {
        this.port = port;
    }

}
