package net.sourceforge.ppf.util;

public class AuthedUser {

    private String nick;
    private String hostname;
    private int authLevel;

	public AuthedUser() {
		nick = "";
        hostname = "";
        authLevel = 0;
	}

	public AuthedUser(String nick, String hostname, int authLevel) {
		this.nick = nick;
        this.hostname = hostname;
        this.authLevel = authLevel;
	}

	public void setUser(String nick) {
		this.nick = nick;
	}

	public String getNick() {
		return nick;
	}

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }
    
    public void setAuthLevel(int authLevel) {
        this.authLevel = authLevel;
    }
    
    public int getAuthLevel() {
        return authLevel;
    }
    
    public String getHostname() {
        return hostname;
    }
    
	public void updateUser(String nick, String hostname, int authLevel) {
		this.nick = nick;
        this.hostname = hostname;
        this.authLevel = authLevel;
	}

}
