#!/bin/sh

### configuration #############################################################

#JAVA_HOME=<your java home>
JAVA_EXE=$JAVA_HOME/bin/java
#JAVA_EXE=java

PPF_CP=".:./PPF.jar:./lib/commons-beanutils-core.jar:./lib/commons-digester.jar:./lib/commons-logging.jar:./lib/jaxen-core.jar:./lib/jaxen-jdom.jar:./lib/jdom.jar:./lib/log4j-1.2.9.jar:./lib/pircbot.jar:./lib/saxpath.jar:./lib/velocity-dep-1.4.jar:./lib/xerces.jar"
PPF_JVMARGS="-Xmx256m -Dorg.xml.sax.parser=org.apache.xerces.parsers.SAXParser"

### script ####################################################################

cd `dirname $0`
cd system/PPF
quit=0
while [ $quit = 0 ]; do
  nohup $JAVA_EXE -cp "$PPF_CP" $PPF_JVMARGS net.sourceforge.ppf.PPF $@ &
  if [ $? != 9 ]; then
    quit=1
  fi
done
cd -
