package net.sourceforge.ppf.util;

import net.sourceforge.ppf.PPF;

/**
 * @author DeadEd
 */
public class PPFHelp {

    private String command = "";
    private String text = "";
    private int authLevel = PPF.AUTH_NONE;
    
    public PPFHelp(String command, String text, int authLevel) {
        this.command = command;
        this.text = text;
        this.authLevel = authLevel;
    }
    
    /**
     * @return
     */
    public int getAuthLevel() {
        return authLevel;
    }

    /**
     * @return
     */
    public String getCommand() {
        return command;
    }

    /**
     * @return
     */
    public String getText() {
        return text;
    }

    /**
     * @param i
     */
    public void setAuthLevel(int i) {
        authLevel = i;
    }

    /**
     * @param string
     */
    public void setCommand(String string) {
        command = string;
    }

    /**
     * @param string
     */
    public void setText(String string) {
        text = string;
    }

}
